%global srcname Pyped
%global sum Replace sed/grep/cut/awk by letting you execute Python one-liners

Name:           python-%{srcname}
Version:        1.4
Release:        13%{?dist}
Summary:        %{sum}

License:        GPLv2
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/P/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         Pyped-1.4-encoding.patch

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
Pyped is a command-line tool that let you process another command
output with a Python one-liner like Perl or AWK.

%package -n python2-%{srcname}
Requires:       python2-minibelt
Requires:       python2-arrow
Requires:       python2-requests
Requires:       python2-path
Requires:       python2-six
Summary:        %{sum}

%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname}
Pyped is a command-line tool that let you process another command
output with a Python one-liner like Perl or AWK.

%package -n python3-%{srcname}
Requires:       python3-minibelt
Requires:       python3-arrow
Requires:       python3-requests
Requires:       python3-path
Requires:       python3-six
Summary:        %{sum}

%{?python_provide:%python_provide python3-%{srcname}}
%description -n python3-%{srcname}
Pyped is a command-line tool that let you process another command
output with a Python one-liner like Perl or AWK.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf Pyped.egg-info
# Change shebang according to Python version
rm -rf %{py3dir}
cp -a . %{py3dir}
sed -i '1s=^#!/usr/bin/\(python\|env python\)[0-9.]*=#!%{__python3}=' %{py3dir}/pyped.py
sed -i '1s=^#!/usr/bin/\(python\|env python\)[0-9.]*=#!%{__python2}=' pyped.py

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
chmod a+x %{buildroot}%{python2_sitelib}/pyped.py
mv %{buildroot}%{_bindir}/pyp %{buildroot}%{_bindir}/pyp-%{python2_version}
ln -s %{_bindir}/pyp-%{python2_version} %{buildroot}%{_bindir}/pyp-2

pushd %{py3dir}
%py3_install
chmod a+x %{buildroot}%{python3_sitelib}/pyped.py
mv %{buildroot}%{_bindir}/pyp %{buildroot}%{_bindir}/pyp-%{python3_version}
ln -s %{_bindir}/pyp-%{python3_version} %{buildroot}%{_bindir}/pyp-3
ln -s %{_bindir}/pyp-%{python3_version} %{buildroot}%{_bindir}/pyp
popd

%check

%files -n python2-%{srcname}
%license licence.txt
%doc README.md
%{python2_sitelib}/pyped*
%{python2_sitelib}/Pyped*
%{_bindir}/pyp-%{python2_version}
%{_bindir}/pyp-2

%files -n python3-%{srcname}
%license licence.txt
%doc README.md
%{python3_sitelib}/pyped*
%{python3_sitelib}/Pyped*
%{python3_sitelib}/__pycache__/pyped.*
%{_bindir}/pyp-%{python3_version}
%{_bindir}/pyp-3
%{_bindir}/pyp

%changelog
* Mon Mar 28 2019 René Ribaud <rene.ribaud@free.fr> - 1.4-13
- Fix of python3-Pyped requires both Python 2 and Python 3 (rhbz #1546790)
  Thanks goes to Jan Beran <jberan@redhat.com> who submited the fix.

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.4-10
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.4-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 9 2015 René Ribaud <rene.ribaud@free.fr> - 1.4-2
- Fix according to Julien's feedbacks (bug 1262644).
* Sun Sep 13 2015 René Ribaud <rene.ribaud@free.fr> - 1.4-1
- Initial rpm
